Subject: Re: Building from latest git master no longer builds winsup...
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Fri, 16 Jul 2021 20:39:44 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-07-16 09:59, Ken Brown via Cygwin wrote:
> On 7/16/2021 11:35 AM, Brian Inglis wrote:
>> On 2021-07-14 12:44, Brian Inglis wrote:
>>> On 2021-07-14 11:48, Ken Brown via Cygwin wrote:
>>>> On 7/14/2021 1:13 PM, Brian Inglis wrote:
>>>>> Building from latest git master does not build winsup... only newlib.
>>>> Did you run winsup/autogen.sh?  See
>>>>    https://cygwin.com/pipermail/cygwin-developers/2021-June/012161.html
>>
>> Build now works on winsup but quits at doc - log extract attached:
>>
>>      $ egrep -A5 'db2|docbook2' build64.log
>>
>> docbook2x-texi --xinclude --info --utf8trans-map=charmap 
>> ../../../../winsup/doc/cygwin-api.xml --string-param 
>> output-file=cygwin-api
>> could not find ParserDetails.ini in 
>> /usr/share/perl5/vendor_perl/5.32/XML/SAX
>> could not open -: No such file or directory
>> /usr/bin/db2x_texixml: program in pipeline exited with an error
> 
> This is caused by a bug in texinfo-6.8-1 that was fixed in texinfo-6.8-2.

Thanks Ken,

I was looking for evidence of issues with docbook or SAX, but would not 
have suspected texinfo, so I'll bear that in mind in future, and try 
wider searches on messages.
My Cygwin32 environment works because it's unusually backlevel there, 
and Cygwin64 is not quite up to date, so I'll get them both resynced, 
and redo.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple